Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.contact
Class ContactPermission

    java.lang.Object
      |
      +--com.compoze.security.acl.PermissionImpl
            |
            +--com.compoze.contact.ContactPermission

All Implemented Interfaces:
  java.security.acl.Permission, java.io.Serializable

public class ContactPermission
extends com.compoze.security.acl.PermissionImpl
implements java.io.Serializable

This class represents the permissions for contacts and lists.

See Also:
  Serialized Form

Field Summary
`static ContactPermission` | `ADD_CONTACT` This is the permission to add a contact.
`static ContactPermission` | `ADD_DISTRIBUTION_LIST` This is the permission to add a distribution list.
`static ContactPermission` | `DELETE` This is the permission to delete.
`static ContactPermission` | `EDIT` This is the permission to edit.
`static ContactPermission` | `READ` This is the permission to read.
`static ContactPermission` | `REMOVE_CONTACT` This is the permission to remove a contact.

Method Summary
`static java.security.acl.Permission` | `getPermission(java.lang.String sName)` Gets the permission by the specified name.
`static java.util.List` | `permissions()` Gets the list of permissions.

Methods inherited from class com.compoze.security.acl.PermissionImpl
`equals, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### READ

    public static final ContactPermission READ

  This is the permission to read.

### DELETE

    public static final ContactPermission DELETE

  This is the permission to delete.

### EDIT

    public static final ContactPermission EDIT

  This is the permission to edit.

### ADD_DISTRIBUTION_LIST

    public static final ContactPermission ADD_DISTRIBUTION_LIST

  This is the permission to add a distribution list.

### ADD_CONTACT

    public static final ContactPermission ADD_CONTACT

  This is the permission to add a contact.

### REMOVE_CONTACT

    public static final ContactPermission REMOVE_CONTACT

  This is the permission to remove a contact.

Method Detail

### permissions

    public static java.util.List permissions()

  Gets the list of permissions.
  Returns:
    the list of `ContactPermission`s (un-modifiable)

### getPermission

    public static java.security.acl.Permission getPermission(java.lang.String sName)

  Gets the permission by the specified name.
  Parameters:
    `sName` - the name
  Returns:
    the matching permission or `null` if not found

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.